Bug 171946 - /etc/sysconfig/network doesn't set NISDOMAIN
/etc/sysconfig/network doesn't set NISDOMAIN
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: ypserv (Show other bugs)
4.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Feist
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-27 20:19 EDT by Zaiwen
Modified: 2015-01-07 19:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-31 17:05:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zaiwen 2005-10-27 20:19:02 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1; .NET CLR 1.1.4322)

Description of problem:
In RHEL 4.0, I am trying to define NIS domain for my system. The man page tells to set a value in /etc/sysconfig/network file, but it doesn't work for me. I set it and reboot, but "domainname" still show none.

My workaround is to set it in /etc/rc.d/rc.local:
domainname=test.com

The workaround works fine, but I still would like to report to you this possible bug.

Version-Release number of selected component (if applicable):
ypserv-2.13.5

How reproducible:
Always

Steps to Reproduce:
1. $ cat /etc/sysconfig/network
NETWORKING=yes
HOSTNAME=host1.example.com
NISDOMAIN=test.com

2. Reboot machine.

3. check "domainname" 
  

Actual Results:  #domainname
(none)

Expected Results:  domainname should be set as the value in /etc/sysconfig/network

Additional info:
Comment 1 Chris Feist 2005-10-31 12:30:08 EST
Do you have ypbind set to run on startup?  ie. send me the output from
'chkconfig --list ypbind'.
Comment 2 Zaiwen 2005-10-31 16:26:15 EST
(In reply to comment #1)
> Do you have ypbind set to run on startup?  ie. send me the output from
> 'chkconfig --list ypbind'.

Oops, I know what you mean.  After I set ypbind to run on startup, it works 
fine. You can close this issue....Sorry for false alarm...

Note You need to log in before you can comment on or make changes to this bug.